document.addEventListener('DOMContentLoaded', function(event) {
  // Constants declaration
  const navBar = document.querySelector('#navbar');
  const btnToggle = document.querySelector('.btn-toggle');
  if (!navBar || !btnToggle) return;

  btnToggle.addEventListener('click', e => {
    navBar.classList.toggle('open');
    e.stopPropagation();
  });

  window.addEventListener('click', e => {
    navBar.classList.remove('open');
  });
});
